Get Branding Theme

Get Branding Theme
Gets an existing branding theme

Gets an existing branding theme

Request
URI
GET
https://{api_host}/cloudapi/v1/brandingThemes/{brandingThemeId}
COPY
Path Parameters
string
brandingThemeId
Required

branding theme URN or 'active' for the current active theme


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns BrandingTheme of type(s) application/json;version=9.1.0
{
    "id": "urn:vcloud:entity:vmware:brandinguitheme:1.0.0:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "name": "string",
    "themeType": "string",
    "isDefault": false,
    "themeBase": "string",
    "mainFlavor": "string",
    "logoThumbprint": "string",
    "version": "string",
    "previewStyles": "string",
    "entityState": "string",
    "errorMessage": "string",
    "contentDescriptor": {
        "favIcon": "example.ico",
        "logo": "example.png",
        "background": "example.png",
        "styles": "example.css",
        "portalName": "VCF Automation",
        "localizations": "example.json",
        "customLinks": "example.json",
        "idpLoginButtons": "idpLoginButtons.json"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/brandingThemes/{brandingThemeId}